package paracross

import (
	"fmt"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestMock(t *testing.T) {
	c := Paracross{}
	err := c.Initialize("./paracross.toml", "3", nil)
	assert.Nil(t, err)
	err = c.Start()
	assert.Nil(t, err)

	ibtpRec := c.GetIBTP()
	for ibtp := range ibtpRec {
		fmt.Println(ibtp)
	}
}
